XISE_GHDL_UNISIM(1)

NAME
xise_ghdl_unisim - compile Xilinx ISE UNISIM and UNIMACRO libraries for GHDL

SYNOPSIS
xise_ghdl_unisim [GHDL-OPTION]...

DESCRIPTION
xise_ghdl_unisim compiles the Xilinx ISE UNISIM and UNIMACRO libraries for ghdl. The object files generated by ghdl are stored in the directory tree of the currently active version of ISE under $XILINX/ghdl/unisim and $XILINX/ghdl/unimacro. Since direct calls to ISE tools are in general encapsulated with xtwi(1) the $XTWI_PATH is used instead of $XILINX. This allows using this script and ghdl without an xtwi wrapper. Just use the ghdl option
        -P${XWTI_PATH}/ISE_DE/ISE/ghdl/unisim
        -P${XWTI_PATH}/ISE_DE/ISE/ghdl/unimacro
to link to the UNISIM or UNIMACRO library. The Xilinx source code has since many releases some buggy statements with self-referential initializations. They seem to be tolerated by the commercial tools but not by ghdl. The xilinx_vhdl_memcolltype_fix helper script simply removes them, no further problems seen so far.

OPTIONS
Options added after the xise_ghdl_unisim command are simply forwarded to the 'ghdl -a' commands. In general, used to specify the optimize level. If no options given -O2 -g is used.

ENVIRONMENT

XTWI_PATH
    points to the root of the currently active ISE installation.

FILES

$XTWI_PATH/ISE_DS/ISE/vhdl/src/unisims
    The VHDL sources for the Xilinx ISE UNISIM library

$XTWI_PATH/ISE_DS/ISE/vhdl/src/unimacro
    The VHDL sources for the Xilinx ISE UNIMACRO library

$XTWI_PATH/ISE_DS/ISE/ghdl
    The created object files will be written into this directory. The directory is created if it does not exist yet. Note that the $XTWI_PATH directory must be writable for the script.

SEE ALSO
xtwi(1), ghdl(1), xise_ghdl_simprim(1), xviv_ghdl_unisim(1), xilinx_vhdl_memcolltype_fix(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>